#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int t,i;
    scanf("%lli",&t);
    long long int a[t];
    long long int b[t];

    for(i=0;i<t;i++)
    {
        scanf("%lli%lli",&a[i],&b[i]);
    }

    for(i=0;i<t;i++)
    {
        long long int br=0;
        long long int d;
        for(d=3;d<=a[i]/2&&br==0;d+=2)
            if(a[i]%d==0)
            {
                if(b[i]==(d^(a[i]/d)))
                {
                    printf("%lli %lli\n",d,a[i]/d);
                    br++;
                }
            }
        if(br==0)
            printf("-1\n");
    }
}